Aptly API

Inline docs Build Status Coverage Status Dependency Status

Installation

Add this line to your application's Gemfile:

gem 'aptly-api'

And then execute:

$ bundle

Or install it yourself as:

$ gem install aptly-api

Usage

require 'aptly'

Aptly.configure do |config|
  config.host = 'localhost'
  config.port = 8080
end

repo = Aptly::Repository.create('kewl-new-repo')
repo.upload(['file.deb'])
repo.packages.each do |package|
  puts package
end
repo.publish('public-name', Distribution: 'wily', Architectures: %w(amd64 i386))

Development

After checking out the repo, run bin/setup to install dependencies. Then, run rake test to run the tests. You can also run bin/console for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run bundle exec rake install.

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/KDEJewellers/aptly-api. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the Contributor Covenant code of conduct.